
// Use the test3d.ini file to call this file, it sets the final image size for correct aspect ratio

#declare NX = 400;  //Set NX,NY,NZ to your cube size
#declare NY = 400;
#declare NZ = 400;
#declare VP = 320;  // VP is viewing distance, set to less than N values 
#declare RO = 0;
#declare TL = .75;



#declare filename1 = "Project_POV.df3"  //path and filename to df3 file.  note needs double slashes    




camera {

  location <0,0.1,VP>

  look_at <0, 0, 0> 

  up    <0,1,0>         // do not delete, sets the up direction

  right  <854/480,0,0>  // do not delete, sets aspect ratio to the right 

  rotate<0,0,180>   // use rotate commands to rotate image in 3d
  //rotate<270,0,0>
   
}


#declare theinterior = interior {

    media {

      intervals 130
      ratio 0.5
      samples 4,4
      method 2
      confidence 0.95
      variance 1/500
      emission <1,1,1> / 110        // You can change the '/110' value to make it brighter or dimmer.
      density {
         density_file df3 filename1
         interpolate 1
        color_map {
	[0.01 rgb <0,0,0>]
        [0.03 rgb <0,0,1>]
	[0.05 rgb <0,0,0>]
        [0.07 rgb <0,1,0>]
	[0.09 rgb <0,0,0>]
        [0.11 rgb <1,0,0>]
	[0.13 rgb <0,0,0>]
        [0.15 rgb <0,0,1>]
	[0.17 rgb <0,0,0>]
        [0.19 rgb <0,1,0>]

	[0.21 rgb <0,0,0>]
        [0.23 rgb <1,0,0>]
	[0.25 rgb <0,0,0>]
        [0.27 rgb <0,0,1>]
	[0.29 rgb <0,0,0>]
        [0.31 rgb <0,1,0>]
	[0.33 rgb <0,0,0>]
        [0.35 rgb <1,0,0>]
	[0.37 rgb <0,0,0>]
        [0.39 rgb <0,0,1>]

        [0.41 rgb <0,0,0>]
        [0.43 rgb <0,1,0>]
	[0.45 rgb <0,0,0>]
        [0.47 rgb <1,0,0>]
	[0.49 rgb <0,0,0>]
        [0.51 rgb <0,0,1>]
	[0.53 rgb <0,0,0>]
        [0.55 rgb <0,1,0>]
	[0.57 rgb <0,0,0>]
        [0.59 rgb <1,0,0>]

	[0.61 rgb <0,0,0>]
        [0.63 rgb <0,0,1>]
	[0.65 rgb <0,0,0>]
        [0.67 rgb <0,1,0>]
	[0.69 rgb <0,0,0>]
        [0.71 rgb <1,0,0>]
	[0.73 rgb <0,0,0>]
        [0.75 rgb <0,0,1>]
	[0.77 rgb <0,0,0>]
        [0.79 rgb <0,1,0>]

        [0.81 rgb <0,0,0>]
        [0.83 rgb <1,0,0>]
	[0.85 rgb <0,0,0>]
        [0.87 rgb <0,0,1>]
	[0.89 rgb <0,0,0>]
        [0.91 rgb <0,1,0>]
	[0.93 rgb <0,0,0>]
        [0.95 rgb <1,0,0>]
	[0.97 rgb <0,0,0>]
        [1.00 rgb <1,1,1>]


         }
      }
   }

      
      }
     
     
box {
   <0,0,0>, <1,1,1>
   pigment { rgbf 1 }
   interior { theinterior }

   hollow
  translate <-0.5,-0.5,-0.5>
   scale <NX,NY,NZ>
}

